object frmSpriteEditor: TfrmSpriteEditor
  Left = 0
  Top = 0
  Caption = 'Visual PNG Codec'
  ClientHeight = 542
  ClientWidth = 780
  Color = clBtnFace
  Constraints.MinHeight = 580
  Constraints.MinWidth = 700
  DoubleBuffered = True
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Tahoma'
  Font.Style = []
  GlassFrame.Left = 152
  GlassFrame.Top = 50
  OldCreateOrder = False
  Position = poScreenCenter
  OnCreate = FormCreate
  DesignSize = (
    780
    542)
  PixelsPerInch = 96
  TextHeight = 13
  object barTop: TBevel
    Left = 0
    Top = 0
    Width = 780
    Height = 50
    Align = alTop
    Shape = bsSpacer
    ExplicitLeft = 730
    ExplicitTop = 50
    ExplicitWidth = 500
  end
  object Bevel1: TBevel
    Left = 0
    Top = 50
    Width = 152
    Height = 492
    Align = alLeft
    Shape = bsSpacer
    ExplicitHeight = 500
  end
  object aSpritePreview: TImage
    Left = 0
    Top = 382
    Width = 148
    Height = 160
    Hint = 'Current active sprite.'
    Anchors = [akLeft, akBottom]
    Center = True
    ParentShowHint = False
    Proportional = True
    ShowHint = True
    Transparent = True
    ExplicitTop = 390
  end
  object btnAddSprite: TSpeedButton
    Left = 0
    Top = 6
    Width = 118
    Height = 36
    Hint = 
      'Add a new sprite to the program'#13#10'(you can also drag & drop the s' +
      'prites)'
    Caption = 'Add sprite'
    Layout = blGlyphTop
    ParentShowHint = False
    ShowHint = True
    OnClick = btnAddSpriteClick
  end
  object Label1: TLabel
    Left = 278
    Top = 18
    Width = 115
    Height = 13
    Caption = 'Preview position (X / Y):'
  end
  object Label2: TLabel
    Left = 8
    Top = 271
    Width = 64
    Height = 13
    Caption = 'Sprite offset:'
  end
  object Label3: TLabel
    Left = 4
    Top = 293
    Width = 10
    Height = 13
    Caption = 'X:'
  end
  object Label4: TLabel
    Left = 79
    Top = 293
    Width = 10
    Height = 13
    Caption = 'Y:'
  end
  object btnRemoveSprite: TSpeedButton
    Left = 0
    Top = 360
    Width = 148
    Height = 22
    Hint = 'Remove the active sprite from the program'
    Anchors = [akLeft, akBottom]
    Caption = 'Remove active sprite'
    ParentShowHint = False
    ShowHint = True
    OnClick = btnRemoveSpriteClick
    ExplicitTop = 368
  end
  object btnSaveSprites: TSpeedButton
    Left = 118
    Top = 6
    Width = 118
    Height = 36
    Hint = 'Save sprites with new offsets'
    Caption = 'Save sprites'
    Layout = blGlyphTop
    ParentShowHint = False
    ShowHint = True
    OnClick = btnSaveSpritesClick
  end
  object btnCropActiveSprite: TSpeedButton
    Left = 0
    Top = 318
    Width = 148
    Height = 22
    Hint = 
      'Open the crop window to remove empty parts of the sprite.'#13#10'Empty' +
      ' parts will be detected automatically.'
    Anchors = [akLeft, akBottom]
    Caption = 'Crop active sprite'
    ParentShowHint = False
    ShowHint = True
    OnClick = btnCropActiveSpriteClick
  end
  object btnDetectOffset: TSpeedButton
    Left = 95
    Top = 269
    Width = 53
    Height = 18
    Hint = 'Calculate sprite offset from its dimensions.'
    Caption = 'Detect'
    Flat = True
    ParentShowHint = False
    ShowHint = True
    OnClick = btnDetectOffsetClick
  end
  object PreviewContainer: TScrollBox
    Left = 152
    Top = 50
    Width = 628
    Height = 492
    Align = alClient
    BevelInner = bvNone
    BevelOuter = bvNone
    BorderStyle = bsNone
    DoubleBuffered = False
    Color = clBtnFace
    Ctl3D = True
    ParentBackground = True
    ParentColor = False
    ParentCtl3D = False
    ParentDoubleBuffered = False
    TabOrder = 0
    object TileBackground: TTileImage
      Left = 0
      Top = 0
      Width = 628
      Height = 492
      Align = alClient
      TileImage = False
      ExplicitLeft = -1
      ExplicitTop = -1
      ExplicitWidth = 626
      ExplicitHeight = 496
    end
    object OTTDImage1: TOTTDImage
      Left = 6
      Top = 6
      Width = 78
      Height = 75
      Hint = 'This sprite instance is used in design time only'
      AutoSize = True
      Transparent = True
      Visible = False
      OnClick = ActivateSprite
      SpriteLocationX = 0
      SpriteLocationY = 0
    end
    object spriteHighlight: TShape
      Left = 104
      Top = 6
      Width = 65
      Height = 65
      Hint = 'Highlight for active sprite'
      Brush.Style = bsClear
      Pen.Color = clRed
      Pen.Style = psDot
      Visible = False
    end
  end
  object Panel1: TPanel
    Left = 0
    Top = 50
    Width = 148
    Height = 215
    BevelOuter = bvNone
    Color = clWhite
    DoubleBuffered = True
    ParentBackground = False
    ParentDoubleBuffered = False
    TabOrder = 1
    object SpriteList: TListView
      Left = 0
      Top = 0
      Width = 148
      Height = 215
      Hint = 'List with currently loaded sprites'
      Align = alClient
      Columns = <
        item
          AutoSize = True
          Caption = 'Sprite'
        end
        item
          Caption = 'X'
          MaxWidth = 40
          MinWidth = 40
          Width = 40
        end
        item
          Caption = 'Y'
          MaxWidth = 40
          MinWidth = 40
          Width = 40
        end>
      ColumnClick = False
      ReadOnly = True
      RowSelect = True
      ParentShowHint = False
      ShowHint = True
      TabOrder = 0
      ViewStyle = vsReport
      OnSelectItem = SpriteListSelectItem
    end
  end
  object TemplateList: TComboBox
    Left = 552
    Top = 15
    Width = 226
    Height = 21
    Hint = 'Use this to change the work mode.'
    Style = csDropDownList
    Anchors = [akTop, akRight]
    ParentShowHint = False
    ShowHint = True
    TabOrder = 2
    TextHint = 'Select template...'
    OnSelect = TemplateListChange
  end
  object sPosition_x: TSpinEdit
    Left = 400
    Top = 15
    Width = 49
    Height = 22
    Hint = 'Position on preview window. Does not affect game settings'
    MaxValue = 0
    MinValue = 0
    ParentShowHint = False
    ShowHint = True
    TabOrder = 3
    Value = 0
    OnChange = ChangePreviewPosition
  end
  object sPosition_y: TSpinEdit
    Tag = 1
    Left = 457
    Top = 15
    Width = 49
    Height = 22
    Hint = 'Position on preview window. Does not affect game settings'
    MaxValue = 0
    MinValue = 0
    ParentShowHint = False
    ShowHint = True
    TabOrder = 4
    Value = 0
    OnChange = ChangePreviewPosition
  end
  object sOffset_x: TSpinEdit
    Left = 20
    Top = 290
    Width = 52
    Height = 22
    MaxValue = 0
    MinValue = 0
    TabOrder = 5
    Value = 0
    OnChange = ChangeSpriteOffset
  end
  object sOffset_y: TSpinEdit
    Left = 92
    Top = 290
    Width = 52
    Height = 22
    MaxValue = 0
    MinValue = 0
    TabOrder = 6
    Value = 0
    OnChange = ChangeSpriteOffset
  end
  object LoadSprite: TOpenPictureDialog
    Filter = 'Portable Network Graphics (*.png)|*.png'
    Options = [ofHideReadOnly, ofAllowMultiSelect, ofFileMustExist, ofNoNetworkButton, ofEnableSizing]
    Title = 'Open PNG Sprites'
    Left = 712
    Top = 96
  end
  object Timer1: TTimer
    Enabled = False
    Interval = 1500
    OnTimer = CloseSpriteHighlight
    Left = 712
    Top = 56
  end
end
